org.apache.ignite.spi.discovery

## Interface DiscoverySpiNodeAuthenticator

    public interface DiscoverySpiNodeAuthenticator

Node authenticator.

### Method Summary

Methods
`SecurityContext` `authenticateNode(ClusterNode node, SecurityCredentials cred)` Security credentials.
`boolean` `isGlobalNodeAuthentication()` Gets global node authentication flag.

### Method Detail

#### authenticateNode

    SecurityContext authenticateNode(ClusterNode node,
                                   SecurityCredentials cred)
                                     throws IgniteException

Security credentials.

Parameters:
  `node` - Node to authenticate.
  `cred` - Security credentials.
Returns:
  Security context if authentication succeeded or `null` if authentication failed.
Throws:
  `IgniteException` - If authentication process failed (invalid credentials should not lead to this exception).

#### isGlobalNodeAuthentication

    boolean isGlobalNodeAuthentication()

Gets global node authentication flag.

Returns:
  `True` if all nodes in topology should authenticate joining node, `false` if only coordinator should do the authentication.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016